Subject: Re: Re: bug#17253: date "--date=-x\ days"

From: hanes <[email-masked]>
Date: Sun, 13 Apr 2014 07:55:52 +0200

You got me to the right point with the daylight saving time.
I really do not thought it is that trivial.
So I am sorry to bother You with this, and disgrace me like that.

But to answer the Questions:
I switched my bios clock two hours forward, but of course it had no
effect; so everything is actually still all right.

My timezone switched in that period to summertime, here is the output:
user@host - Current Time: 07:42   :~$
date -d "12:00 today -346 hours" +"Output: %Y.%m.%d__%H  Timezone: %z"
Output: 2014.03.30__01  Timezone: +0100
user@host - Current Time: 07:42   :~$
date -d "12:00 today -345 hours" +"Output: %Y.%m.%d__%H  Timezone: %z"
Output: 2014.03.30__03  Timezone: +0200

So, have a nice Day anyway.

with kind regards,

hanes